apport hooks installed with wrong source package name

Bug #1007405 reported by Serge Hallyn on 2012-06-01
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libvirt (Ubuntu)
Critical
Serge Hallyn
Lucid
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Critical
Serge Hallyn

Bug Description

=======================================
SRU Justification
1. impact: bug reporters cannot post the relevant debugging information
using apport.
2. Development fix: correct the name of the apport hook file. source_libvirt-bin.py
points to a package (source package libvirt-bin) which does not exist.
3. Stable fix: same as development fix
4. Test case:
  apport-bug libvirt-bin
  choose 'K' to save the file.
  inspect resulting /tmp file to ensure it contains apport data (in particular look for apparmor log info)
Regression potential: none, we only fix the file name of the apport hook.
=======================================

The apport hooks file for libvirt is installed as source_libvirt-bin.py, but libvirt-bin is the name of the binary package. The source package is called libvirt. This has prevented some bug reporters from automatically uploading more information.

Changed in libvirt (Ubuntu):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Serge Hallyn (serge-hallyn)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvirt - 0.9.12-0ubuntu3

---------------
libvirt (0.9.12-0ubuntu3) quantal; urgency=low

  * install apport hook as right name - libvirt-bin is the binary package,
    the source package name is libvirt. (LP: #1007405)
  * install /etc/dnsmasq.d/libvirt to configure system wide dnsmasq to not
    listen on the libvirt bridge. (Following Stéphane's lxc example)
    (LP: #928524) (LP: #231060)
    - postinst: restart dnsmasq; postrm: remove dnsmasq.d/libvirt file and
      restart dnsmasq; rules, libvirt-bin.dirs and libvirt-bin.install:
      install new debian/libvirt-bin.dnsmasq file.
 -- Serge Hallyn <email address hidden> Fri, 01 Jun 2012 09:36:58 -0500

Changed in libvirt (Ubuntu Quantal):
status: In Progress → Fix Released
description: updated
description: updated

Hello Serge, or anyone else affected,

Accepted libvirt into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libvirt/0.9.8-2ubuntu17.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libvirt (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Serge Hallyn (serge-hallyn) wrote :

Verified fixed here.

tags: added: verification-done
removed: verification-needed
Adam Conrad (adconrad) wrote :

Hello Serge, or anyone else affected,

Accepted libvirt into lucid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libvirt/0.7.5-5ubuntu27.23 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libvirt (Ubuntu Lucid):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Changed in libvirt (Ubuntu Oneiric):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Serge, or anyone else affected,

Accepted libvirt into oneiric-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libvirt/0.9.2-4ubuntu15.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Stéphane Graber (stgraber) wrote :

Based on the comments above, this fix is verified for precise. Marking verification-done-precise.

tags: added: verification-done-precise
tags: added: verification-done
removed: verification-needed
Serge Hallyn (serge-hallyn) wrote :

Verified on lucid and oneiric, 'apport-bug libvirt-bin' now adds the libvirt package hook info.

description: updated
tags: removed: verification-done
tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvirt - 0.9.8-2ubuntu17.2

---------------
libvirt (0.9.8-2ubuntu17.2) precise-proposed; urgency=low

  * debian/libvirt-bin.install, debian/rules: name the apport file
    source_libvirt.py, not source_libvirt-bin.py. (LP: #1007405)
  * install /etc/dnsmasq.d/libvirt to configure system wide dnsmasq to not
    listen on the libvirt bridge. (Following Stéphane's lxc example)
    (LP: #928524) (LP: #231060)
    - postinst: restart dnsmasq; postrm: remove dnsmasq.d/libvirt file and
      restart dnsmasq; rules, libvirt-bin.dirs and libvirt-bin.install:
      install new debian/libvirt-bin.dnsmasq file.
  * Warn user about bad pc-0.12 machine type, and help user transition.
    (LP: #1001625)
    - qemu-warn-on-pc-0.12.patch: When defining or starting a VM which uses the
      pc-0.12 machine type, warn in libvirtd.log.
    - debian/libvirt-migrate-qemu-machinetype: automatically migrate QEMU VMs
      to newest machine type. This is not done automatically as there will
      be some users who have good reason to stay with pc-0.12.
 -- Serge Hallyn <email address hidden> Mon, 11 Jun 2012 21:52:02 -0500

Changed in libvirt (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvirt - 0.9.2-4ubuntu15.3

---------------
libvirt (0.9.2-4ubuntu15.3) oneiric-proposed; urgency=low

  * debian/libvirt-bin.install, debian/rules: name the apport file
    source_libvirt.py, not source_libvirt-bin.py. (LP: #1007405)
 -- Serge Hallyn <email address hidden> Mon, 11 Jun 2012 21:42:51 -0500

Changed in libvirt (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvirt - 0.7.5-5ubuntu27.23

---------------
libvirt (0.7.5-5ubuntu27.23) lucid-proposed; urgency=low

  * debian/libvirt-bin.install, debian/rules: name the apport file
    source_libvirt.py, not source_libvirt-bin.py. (LP: #1007405)
 -- Serge Hallyn <email address hidden> Mon, 11 Jun 2012 21:39:17 -0500

Changed in libvirt (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers